Skip to main content
GET
/
orgs
/
{org_id}
/
k2
/
{kb_id}
/
backups
cURL
curl --request GET \
  --url https://api.timbal.ai/orgs/{org_id}/k2/{kb_id}/backups \
  --header 'Authorization: Bearer <token>'
{
  "backups": [
    {
      "dry_run": true,
      "id": "<string>",
      "kb_id": "<string>",
      "started_at": "2023-11-07T05:31:56Z",
      "status": "<string>",
      "triggered_by": "<string>",
      "bytes_uploaded": 123,
      "completed_at": "2023-11-07T05:31:56Z",
      "error": "<string>",
      "expires_at": "2023-11-07T05:31:56Z"
    }
  ],
  "next_page_token": "<string>"
}

Authorizations

Authorization
string
header
required

Timbal API key. Obtain your API key from the Timbal platform settings. See Authentication for more information.

Path Parameters

org_id
string
required
kb_id
string
required

Query Parameters

page_token
string | null

Response

200 - application/json

Backup list

backups
object[]
required
next_page_token
string | null